#include <stdio.h>

#include "mygraph.h"
#include "mydebug.h"

extern int DEBUG;

void read_point( point * the_point){

     if ( DEBUG_POINT) {
	fprintf(stderr,"DEBUG: Entering read_point\n");
     }

     printf ("Enter the coordinates of a point\n");
     printf ("Enter the X coordinate (As a real number) => ");
     scanf ("%f", &(the_point->x) );
     printf ("Enter the Y coordinate (As a real number) => ");
     scanf ("%f", &(the_point->y) );

     if ( DEBUG_POINT ) {
	fprintf(stderr,"DEBUG: Exiting read_point, point read (%f,%f)\n",
	     the_point->x,the_point->y);
     }
}

void print_point ( point a_point) {

     if ( DEBUG_POINT ) {
	fprintf(stderr,"DEBUG: entering print_point, the point is (%f,%f)\n",
	     a_point.x,a_point.y);
     }

     printf ("( %f , %f )",a_point.x,a_point.y);

     if ( DEBUG_POINT) {
	 fprintf(stderr,"DEBUG: exiting print_point\n");
     }

}
